FreeBSD : qemu -- code execution on host machine (aea8d90e-b0c1-11e5-8d13-bc5ff45d0f28)

Medium Nessus Plugin ID 87702


The remote FreeBSD host is missing one or more security-related updates.


Petr Matousek of Red Hat Inc. reports :

Due converting PIO to the new memory read/write api we no longer provide separate I/O region lenghts for read and write operations. As a result, reading from PIT Mode/Command register will end with accessing pit->channels with invalid index and potentially cause memory corruption and/or minor information leak.

A privileged guest user in a guest with QEMU PIT emulation enabled could potentially (tough unlikely) use this flaw to execute arbitrary code on the host with the privileges of the hosting QEMU process.

Please note that by default QEMU/KVM guests use in-kernel (KVM) PIT emulation and are thus not vulnerable to this issue.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 87702

File Name: freebsd_pkg_aea8d90eb0c111e58d13bc5ff45d0f28.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2016/01/04

Modified: 2016/01/04

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:qemu, p-cpe:/a:freebsd:freebsd:qemu-devel, p-cpe:/a:freebsd:freebsd:qemu-sbruno, p-cpe:/a:freebsd:freebsd:qemu-user-static, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/01/01

Vulnerability Publication Date: 2015/06/17

Reference Information

CVE: CVE-2015-3214